summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2014-08-19 15:03:39 (GMT)
committerRichard Maw <richard.maw@codethink.co.uk>2014-08-19 15:49:03 (GMT)
commit2859c97778cb211a53d5a38a687b5f93ec7fa5ac (patch)
tree66809f7203bf838e2a9caf0d833bb16e8f95e29a
parente599bf132869c16ec9ebf17d45120b8915941692 (diff)
downloaddefinitions-2859c97778cb211a53d5a38a687b5f93ec7fa5ac.tar.gz
mason: Include build logs in output when builds fail
-rwxr-xr-xmason/mason.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/mason/mason.sh b/mason/mason.sh
index 2dca7d8..240cc34 100755
--- a/mason/mason.sh
+++ b/mason/mason.sh
@@ -40,10 +40,15 @@ rm -f "$HOME/success"
echo INFO: Mason building: $DEFINITIONS_REF at $SHA1
-"scripts/release-build" --no-default-configs \
+if ! "scripts/release-build" --no-default-configs \
--trove-host "$DISTBUILD_TROVE_ADDRESS" \
--controllers "$DISTBUILD_ARCH:$DISTBUILD_CONTROLLER_ADDRESS" \
- "$BUILD_CLUSTER_MORPHOLOGY"
+ "$BUILD_CLUSTER_MORPHOLOGY"; then
+ echo ERROR: Failed to build release images
+ echo Build logs for chunks:
+ find builds -type f -exec echo {} \; -exec cat {} \;
+ exit 1
+fi
releases_made="$(cd release && ls | wc -l)"
if [ "$releases_made" = 0 ]; then